This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 472677 - Problems with latest F10 kernels and Lenovo T61
Problems with latest F10 kernels and Lenovo T61
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-23 06:29 EST by Gianluca Varisco
Modified: 2015-10-25 21:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-05 05:54:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gianluca Varisco 2008-11-23 06:29:05 EST
Description of problem:

When I try to boot one of these kernels, my laptop hangs afer loading its keymap. It should instead prompts me for the LUKS passphrase.

Version-Release number of selected component (if applicable):

kernel-2.6.27.5-120.fc10.x86_64
kernel-2.6.27.5-117.fc10.x86_64
kernel-2.6.27.5-113.fc10.x86_64

Additional info:

I've no problem with kernel-2.6.27.5-101.fc10.x86_64.

Let me know if you need further details / log files.
Comment 1 Chuck Ebbert 2008-11-25 11:01:47 EST
If you remove the "quiet" option from the kernel line in /etc/grub.conf, can you see any messages before it freezes?
Comment 2 Bug Zapper 2008-11-26 00:48:41 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Gianluca Varisco 2008-11-26 10:23:56 EST
Hi Chuck,

Thanks for your time.

I removed the 'quiet' option from the kernel line and I can see that the last line is referred to the 'Trackpoint'.

Here's a snip of my dmesg (copied from my last boot):

---------
Synaptics Touchpad, model: 1, fw: 6.2, id: 0x81a0b1, caps: 0xa04793/0x300000
serio: Synaptics pass-through port at isa0060/serio1/input0
input: SynPS/2 Synaptics TouchPad as /devices/platform/i8042/serio1/input/input5
EXT3-fs: INFO: recovery required on readonly filesystem.
EXT3-fs: write access will be enabled during recovery.
IBM TrackPoint firmware: 0x0e, buttons: 3/3
input: TPPS/2 IBM TrackPoint as /devices/platform/i8042/serio1/serio2/input/input6
---------

Instead, now it hangs exactly after the information about TPPS/2 IBM Trackpoint.
Comment 4 Gianluca Varisco 2008-12-02 16:21:47 EST
Chuck,

Not sure what the problem was, but I did a fresh install on this laptop and now '2.6.27.5-117.fc10.x86_64' works fine.

I'm starting to think about something that went wrong trying to unlock my LUKS encrypted filesystem, but unfortunately I have not sufficient data to argue about.

Feel free to close this bug: if it will re-happen, I'll try to collect more information.

Note You need to log in before you can comment on or make changes to this bug.